Create one business classification
/fscmRestApi/resources/11.13.18.05/certifyingAgencies/{CertifyingAgencyId}/child/businessClassifications
Request
-
CertifyingAgencyId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
- application/json
object-
BusinessClassificationCode: string
Maximum Length:
30Abbreviation that identifies the business classification.
Response
- application/json
Default Response
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
object-
BusinessClassification: string
Title:
ClassificationRead Only:trueMaximum Length:80Name of the business classification. -
BusinessClassificationCode: string
Maximum Length:
30Abbreviation that identifies the business classification. -
BusinessClassificationDescription: string
Title:
DescriptionRead Only:trueMaximum Length:240Brief description of the business classification. -
BusinessClassificationId: integer
(int64)
Read Only:
trueUnique identifier of the business classification. -
CertifyingAgencyId: integer
(int64)
Read Only:
trueUnique identifier of the certifying agency. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the business classification. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the business classification was created. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the business classification was most recently updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the business classification. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
arrayLinksobject-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to Create one business classification.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d '{ "BusinessClassificationCode": "HUB_ZONE" }' "https://servername/fscmRestApi/resources/version/certifyingAgencies/CertifyingAgencyId/child/businessClassifications"
For example:
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d '{ "BusinessClassificationCode": "HUB_ZONE" }' "https://servername/fscmRestApi/resources/version/certifyingAgencies/11207/child/businessClassifications"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"BusinessClassificationCode": "HUB_ZONE"
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"CertifyingAgencyId": "11207",
"BusinessClassificationId": "300100650831600",
"BusinessClassificationCode": "HUB_ZONE",
"BusinessClassification": "Hub Zone",
"BusinessClassificationDescription": "Qualifying small business located in a historically underutilized business zone. Applicable to US companies.",
"CreatedBy": "FUSION",
"CreationDate": "2026-07-24T11:42:06+05:30",
"LastUpdatedBy": "FUSION",
"LastUpdateDate": "2026-07-24T11:42:06.025+05:30"
}